## ----------------------------------------------------------------------------
# rishu.pl
#   里珠のサンプル
# -----------------------------------------------------------------------------
# dll の時に呼び出される関数が, perl の関数として呼び出されるだけです.
# 栞を作成するには, C言語等で load/request/unload のDll-export 関数を作成
# するのと全く同様に, on_load, on_request, on_unload に対する全ての実装を
# 行う必要があります.
# なお, このスクリプトは on_load/on_request/on_unload の動作テスト用です.
# -----------------------------------------------------------------------------
# Mastering programed by YAMASHINA Hio
#
# Copyright 2002 YMIRLINK,Inc.
# -----------------------------------------------------------------------------
# $Id: rishu.pl,v 1.2 2002/11/03 15:11:42 hio Exp $
# -----------------------------------------------------------------------------

use strict;

sub on_load
{
  print "enter : <Perl/Shiori::on_load>\n";
  foreach(split(/\r?\n/,$_[0]))
  {
    print "load> $_\n";
  }
  print "leave : <Perl/Shiori::on_load>\n";
  1;
}

sub on_unload
{
  print "enter : <Perl/Shiori::on_unload>\n";
  print "leave : <Perl/Shiori::on_unload>\n";
  1;
}

sub on_request
{
  print "enter : <Perl/Shiori::on_request>\n";
  foreach(split(/\r?\n/,$_[0]))
  {
    print "req> $_\n";
  }
  print "eval...\n";
  my $res = eval "@{[join('',@_)]}";
  $res = $@ if( $@ );
  print "leave : <Perl/Shiori::on_request>\n";
  $res;
}

1;
